import { useState, useEffect } from 'react';

var getMql = function () { return (window.matchMedia && window.matchMedia('(prefers-color-scheme: dark)')) || undefined; };
var getSystemTheme = function (matches) { return matches ? 'dark' : 'light'; };
var initialDrakStatus = getMql().matches;
function useSystemTheme() {
    var _a = useState(getSystemTheme(initialDrakStatus)), systemTheme = _a[0], setSystemTheme = _a[1];
    useEffect(function () {
        var mql = getMql();
        var mqlListener = function (e) { return setSystemTheme(getSystemTheme(e.matches)); };
        mql && mql.addListener(mqlListener);
        return function () { return mql && mql.removeListener(mqlListener); };
    }, []);
    return systemTheme;
}

export default useSystemTheme;
//# sourceMappingURL=index.es.js.map
