'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var react = require('react');

var getMql = function () { return (window.matchMedia && window.matchMedia('(prefers-color-scheme: dark)')) || undefined; };
var getSystemTheme = function (matches) { return matches ? 'dark' : 'light'; };
var initialDrakStatus = getMql().matches;
function useSystemTheme() {
    var _a = react.useState(getSystemTheme(initialDrakStatus)), systemTheme = _a[0], setSystemTheme = _a[1];
    react.useEffect(function () {
        var mql = getMql();
        var mqlListener = function (e) { return setSystemTheme(getSystemTheme(e.matches)); };
        mql && mql.addListener(mqlListener);
        return function () { return mql && mql.removeListener(mqlListener); };
    }, []);
    return systemTheme;
}

exports.default = useSystemTheme;
//# sourceMappingURL=index.js.map
